#! -*-coding: utf-8
import torch


class SimpleCustomBatch:
    def __init__(self, data):
        datas = list(zip(*data))
        self.inputs = torch.stack(datas[0], 0)
        self.targets = torch.stack(datas[1], 0)

    def pin_memory(self):
        self.inputs = self.inputs.pin_memory()
        self.targets = self.targets.pin_memory()
        return self.inputs, self.targets
