#! /bin/sh

# tsvファイルからデータセットを作成する
outdir="./datas"
val_domain=10
target_domain=25
sequence_length=100
query=50
support=10
data_rootdir="./datas/val${val_domain}_target${target_domain}_seq${sequence_length}_support10_query${query}"

ndataset=30
for seed in `seq -w 0 $(( ${ndataset} - 1 ))`; do
    datadir="${data_rootdir}/dataset${seed}"
    python scripts/split_domains_category.py ${outdir} --outdir ${datadir} \
      --validation ${val_domain} --target ${target_domain} \
      --sequence_length ${sequence_length} --num_support 10 --num_query ${query}
done

