#! /bin/sh

# 元のデータファイルに含まれる学習、検証用データを連結する
outdir="./datas"
for train in `ls ./datas/UCRArchive_2018/*/*_TRAIN.tsv`; do
   dirname=`dirname ${train}`
   category=`basename ${dirname}`
   test="${dirname}/${category}_TEST.tsv"
   outfile="${outdir}/${category}.tsv"
   echo ${outfile}
   cat ${train} > ${outfile}
   cat ${test} >> ${outfile}
done

# NaN、データ長、データ数チェック
python scripts/check_datas.py

